Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DoublyLinkedItemList Class Reference

List of all members.

## Public Member Functions
| DoublyLinkedItemList ($ItemTableName, $ItemIdFieldName, $SqlCondition=NULL)
| InsertBefore ($SourceItemOrItemId, $TargetItemOrItemId)
| InsertAfter ($SourceItemOrItemId, $TargetItemOrItemId)
| Prepend ($ItemOrItemId)
| Append ($ItemOrItemId)
| GetIds ($AddStrayItemsToOrder=TRUE)
| Remove ($ItemId)
| SqlCondition ($NewCondition)
| GetPreviousItemId ($ItemId)
| GetNextItemIdInOrder ($ItemId)
| SetPreviousItemId ($ItemId, $NewValue)
| SetNextItemId ($ItemId, $NewValue)
| SetPreviousAndNextItemIds ($ItemId, $NewPreviousId, $NewNextId)
| GetCondition ($ThisIsOnlyCondition=FALSE)
## Public Attributes
| $DB
| $ItemIdFieldName
| $ItemTableName
| $Condition

## Detailed Description

Definition at line 19 of file DoublyLinkedItemList.php.

## Member Function Documentation

DoublyLinkedItemList::Append | ( | $ | ItemOrItemId | ) |

Definition at line 108 of file DoublyLinkedItemList.php.

References GetIds(), Remove(), SetNextItemId(), and SetPreviousAndNextItemIds().

Referenced by GetIds().

Here is the caller graph for this function:

DoublyLinkedItemList::DoublyLinkedItemList | ( | $ | ItemTableName,
|  | $ | ItemIdFieldName,
|  | $ | SqlCondition = `NULL` |
| ) |  |  |

Definition at line 24 of file DoublyLinkedItemList.php.

References $ItemIdFieldName, $ItemTableName, and SqlCondition().

DoublyLinkedItemList::GetCondition | ( | $ | ThisIsOnlyCondition = `FALSE` | ) |

Definition at line 268 of file DoublyLinkedItemList.php.

Referenced by GetIds(), GetNextItemIdInOrder(), GetPreviousItemId(), SetNextItemId(), SetPreviousAndNextItemIds(), and SetPreviousItemId().

Here is the caller graph for this function:

DoublyLinkedItemList::GetIds | ( | $ | AddStrayItemsToOrder = `TRUE` | ) |

Definition at line 133 of file DoublyLinkedItemList.php.

References Append(), and GetCondition().

Referenced by Append(), and Prepend().

Here is the caller graph for this function:

DoublyLinkedItemList::GetNextItemIdInOrder | ( | $ | ItemId | ) |

Definition at line 236 of file DoublyLinkedItemList.php.

References GetCondition().

Referenced by InsertAfter(), and Remove().

Here is the caller graph for this function:

DoublyLinkedItemList::GetPreviousItemId | ( | $ | ItemId | ) |

Definition at line 228 of file DoublyLinkedItemList.php.

References GetCondition().

Referenced by InsertBefore(), and Remove().

Here is the caller graph for this function:

DoublyLinkedItemList::InsertAfter | ( | $ | SourceItemOrItemId,
|  | $ | TargetItemOrItemId |
| ) |  |  |

Definition at line 60 of file DoublyLinkedItemList.php.

References GetNextItemIdInOrder(), Remove(), SetNextItemId(), SetPreviousAndNextItemIds(), and SetPreviousItemId().

DoublyLinkedItemList::InsertBefore | ( | $ | SourceItemOrItemId,
|  | $ | TargetItemOrItemId |
| ) |  |  |

Definition at line 37 of file DoublyLinkedItemList.php.

References GetPreviousItemId(), Remove(), SetNextItemId(), SetPreviousAndNextItemIds(), and SetPreviousItemId().

DoublyLinkedItemList::Prepend | ( | $ | ItemOrItemId | ) |

Definition at line 83 of file DoublyLinkedItemList.php.

References GetIds(), Remove(), SetPreviousAndNextItemIds(), and SetPreviousItemId().

DoublyLinkedItemList::Remove | ( | $ | ItemId | ) |

Definition at line 196 of file DoublyLinkedItemList.php.

References GetNextItemIdInOrder(), GetPreviousItemId(), SetNextItemId(), and SetPreviousItemId().

Referenced by Append(), InsertAfter(), InsertBefore(), and Prepend().

Here is the caller graph for this function:

DoublyLinkedItemList::SetNextItemId | ( | $ | ItemId,
|  | $ | NewValue |
| ) |  |  |

Definition at line 251 of file DoublyLinkedItemList.php.

References GetCondition().

Referenced by Append(), InsertAfter(), InsertBefore(), and Remove().

Here is the caller graph for this function:

DoublyLinkedItemList::SetPreviousAndNextItemIds | ( | $ | ItemId,
|  | $ | NewPreviousId,
|  | $ | NewNextId |
| ) |  |  |

Definition at line 258 of file DoublyLinkedItemList.php.

References GetCondition().

Referenced by Append(), InsertAfter(), InsertBefore(), and Prepend().

Here is the caller graph for this function:

DoublyLinkedItemList::SetPreviousItemId | ( | $ | ItemId,
|  | $ | NewValue |
| ) |  |  |

Definition at line 244 of file DoublyLinkedItemList.php.

References GetCondition().

Referenced by InsertAfter(), InsertBefore(), Prepend(), and Remove().

Here is the caller graph for this function:

DoublyLinkedItemList::SqlCondition | ( | $ | NewCondition | ) |

Definition at line 214 of file DoublyLinkedItemList.php.

Referenced by DoublyLinkedItemList().

Here is the caller graph for this function:

## Member Data Documentation

DoublyLinkedItemList::$Condition

Definition at line 225 of file DoublyLinkedItemList.php.

DoublyLinkedItemList::$DB

Definition at line 222 of file DoublyLinkedItemList.php.

DoublyLinkedItemList::$ItemIdFieldName

Definition at line 223 of file DoublyLinkedItemList.php.

Referenced by DoublyLinkedItemList().

DoublyLinkedItemList::$ItemTableName

Definition at line 224 of file DoublyLinkedItemList.php.

Referenced by DoublyLinkedItemList().

The documentation for this class was generated from the following file:

- DoublyLinkedItemList.php